beanshell

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

beanshell

Jim Jagielski
I just noticed that when including CatB components, beanshell
is not included in trunk/4.2.x but IS with 4.1.x

Any idea why the change?

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: beanshell

Jim Jagielski
Hrmmm... doing a re-build w/ --enable-beanshell causes as break in
scripting/java:

    /Users/jim/src/asf/AOO42X/main/scripting/java/com/sun/star/script/framework/provider/beanshell/ScriptProviderForBeanShell.java:232: error: package bsh does not exist
            catch (bsh.EvalError e) {

not sure if this was/is in any way connected to the removal
from CatB.

Anyone else try building 4.2.x/trunk w/ beanshell?

> On Jan 17, 2019, at 2:58 PM, Jim Jagielski <[hidden email]> wrote:
>
> I just noticed that when including CatB components, beanshell
> is not included in trunk/4.2.x but IS with 4.1.x
>
> Any idea why the change?
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: beanshell

Matthias Seidel
Hi Jim,

Am 18.01.19 um 16:34 schrieb Jim Jagielski:

> Hrmmm... doing a re-build w/ --enable-beanshell causes as break in
> scripting/java:
>
>     /Users/jim/src/asf/AOO42X/main/scripting/java/com/sun/star/script/framework/provider/beanshell/ScriptProviderForBeanShell.java:232: error: package bsh does not exist
>             catch (bsh.EvalError e) {
>
> not sure if this was/is in any way connected to the removal
> from CatB.
>
> Anyone else try building 4.2.x/trunk w/ beanshell?
I am not sure, but Linux32 and Windows builds (AOO42X) from buildbot
were unsuccessful.

Will force new builds with your latest commits...

Regards,

   Matthias

>
>> On Jan 17, 2019, at 2:58 PM, Jim Jagielski <[hidden email]> wrote:
>>
>> I just noticed that when including CatB components, beanshell
>> is not included in trunk/4.2.x but IS with 4.1.x
>>
>> Any idea why the change?
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: [hidden email]
>> For additional commands, e-mail: [hidden email]
>>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>


smime.p7s (5K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: beanshell

Pedro Giffuni
In reply to this post by Jim Jagielski
Hi ....

Sorry for noticing late.

beanshell was relicensed under an Apache License starting with bsh 2.0b5.

Apparently I had something to do with breaking the beanshell build
(thanks for fixing): on FreeBSD we use the external (prepackaged)
beanshell which is 2.0b6.

Pedro.


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]